%define prefix		/usr
%define texmf		%{prefix}/share/texmf
%define build_texmf	$RPM_BUILD_ROOT%{texmf}
%define vfontmap	%{texmf}/xdvi/vfontmap

%define exec_texhash	[ -x %{prefix}/bin/texhash ] && /usr/bin/env - %{prefix}/bin/texhash 2> /dev/null
%define updmap		%{texmf}/dvips/config/updmap
%define exec_updmap	< %{updmap} > %{updmap}.rpmtmp && cat < %{updmap}.rpmtmp > %{updmap}; rm -f %{updmap}.rpmtmp && (cd %{texmf}/dvips/config/; umask 022; ./updmap)
%define part_delete	if [ -e $CONF ]; then cp -f $CONF $CONF.rpmtmp && sed -e '/^. begin %{name} /,/^. end %{name} /d' < $CONF.rpmtmp > $CONF && rm -f $CONF.rpmtmp; fi

Summary: JIS font metric for tetex
Name: tetex-jisfont
Version: 1
Release: 4.1AX
Source0: ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/jvf/jis.tar.gz
URL: http://www.ascii.co.jp/pb/ptex/
Copyright: distributable 
Buildroot: /var/tmp/%{name}-root
Group: Applications/Publishing
BuildArch: noarch
BuildPreReq: %{prefix}/bin/pltotf
Requires: tetex, tetex-latex

%description
JIS font metric is new TFM file for Japanese,
It is made by Hajime Kobayashi (Tokyo Shoseki Printing).

%description -l ja
JIS եȥȥåҰξȥ󤬺줿
ʸ TFM եǤ

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n jis

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{build_texmf}/fonts/{tfm,vf}/ptex/jis
cp -fpd tfm/ptex/*.tfm %{build_texmf}/fonts/tfm/ptex/jis
cp -fpd vf/*.vf  %{build_texmf}/fonts/vf/ptex/jis

%post
%{exec_texhash}
exit 0

%postun
%{exec_texhash}
exit 0


%triggerin -- tetex-xdvi
CONF=%{vfontmap}; %{part_delete}
cat <<EOF >> $CONF
# begin %{name} %{version}-%{release}
jis	min
jisn	min
jisg	goth
jisgn	goth
jis-v	tmin
jisn-v	tmin
jisg-v	tgoth
jisgn-v	tgoth
# end %{name} %{version}-%{release}
EOF

%triggerun -- tetex-xdvi
if [ "$1" = 0 ]; then
    CONF=%{vfontmap}; %{part_delete}
fi
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt
%{texmf}/fonts/tfm/ptex/jis
%{texmf}/fonts/vf/ptex/jis

%changelog
* Tue Jun  1 2004 Shiro Yamada <shiro@miraclelinux.com> 1-4.1AX
- rebuild for Asianux 1.0

* Mon Apr 14 2003 MATSUURA Takanori <t-matsuu@estyle.ne.jp>
- based on http://tutimura.ath.cx/~nob/tex/rh7j/tetex-jisfont-1-4.src.rpm
- used files released by ASCII.

* Tue May 22 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- use updmap, do not modify psfonts.map in %triggerin

* Wed May  2 2001 Seiji Sakoda <sakoda@cc.nda.ac.jp>
- add jisg*
- modify psfonts.map in %triggerin

* Wed May  2 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- use pltotf to make *.tfm
- add *.vf made by makejvf
- modify vfontmap in %triggerin

* Tue May  1 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 1st release
- made from jsclasses.spec

* Thu Apr 26 2001 Seiji Sakoda <sakoda@cc.nda.ac.jp>
- include jis font related for use with RedHat/tetex system
